import { AccessoryType, LinkWithAction, SecretIdentityType, UserIdentityType } from "../types";
import { DropdownProps } from "../common/DropdownListMenu";
import { IconProps } from "../common/Icon";
import React from "react";
export declare enum HeaderStyle {
    REGULAR = "REGULAR",
    COMPACT = "COMPACT"
}
declare const PostHeader: React.ForwardRefExoticComponent<PostHeaderProps & React.RefAttributes<HTMLImageElement>>;
export default PostHeader;
export interface PostHeaderProps {
    size?: HeaderStyle;
    secretIdentity?: SecretIdentityType;
    additionalIdentities?: SecretIdentityType[];
    accessory?: AccessoryType;
    accessories?: AccessoryType[];
    onSelectIdentity?: (identity: SecretIdentityType | undefined) => void;
    onSelectAccessory?: (accessory: AccessoryType | undefined) => void;
    userIdentity?: UserIdentityType;
    avatarOptions?: DropdownProps["options"];
    createdMessage?: string;
    createdMessageIcon?: IconProps["icon"];
    createdMessageLink?: LinkWithAction;
    forceHide?: boolean;
    className?: string;
}
