import { DropdownProps } from "../common/DropdownListMenu";
import { SecretIdentityType, UserIdentityType } from "../types";
import React from "react";
/**
 * The tiniest header in the world. Used where we want to have access to the
 * necessary information about the posts and to its options but don't
 * have a lot of space
 */
declare const TinyHeader: React.ForwardRefExoticComponent<TinyHeaderProps & React.RefAttributes<HTMLImageElement>>;
export default TinyHeader;
export interface TinyHeaderProps {
    secretIdentity?: SecretIdentityType;
    userIdentity?: UserIdentityType;
    avatarOptions?: DropdownProps["options"];
    postOptions?: DropdownProps["options"];
    forceHide?: boolean;
    className?: string;
}
