import { CircleButtonProps } from "../buttons/CircleButton";
import { DropdownProps } from "../common/DropdownListMenu";
import { IconProps } from "../common/Icon";
import { BoardType } from "../types";
import React from "react";
declare const Section: React.FC<PinnedMenuSectionProps>;
declare const PinnedMenu: React.FC<{
    children: React.ReactNode;
}> & {
    Section: typeof Section;
};
export default PinnedMenu;
export declare type PinnedMenuSectionProps = BasePinnedSectionProps & (WithPinnedSectionProps | LoadingPinnedSectionProps);
export interface BasePinnedSectionProps {
    icon: IconProps["icon"];
    sectionId?: string;
}
export interface WithPinnedSectionProps {
    items: (BoardType | (CircleButtonProps & {
        id: string;
        menuOptions?: DropdownProps["options"];
    }))[];
    currentItemId?: string | null;
    loading?: false;
}
export interface LoadingPinnedSectionProps {
    loading: true;
    loadingElementsCount: number;
    loadingAccentColor: string;
}
